Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.response
Interface ResponseVisitor

All Known Implementing Classes:
  AbstractResponseVisitor

    public interface ResponseVisitor

interface for a visitor of a `DenicResponse`

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Method Summary
`void` | `visit(AuthInfo1CreateResponse response)` called by an AuthInfo 1 create response
`void` | `visit(AuthInfo1DeleteResponse response)` called by an AuthInfo 1 delete response
`void` | `visit(AuthInfo2CreateResponse response)` called by an AuthInfo 2 create response
`void` | `visit(ContactCheckResponse response)` called by a contact check response
`void` | `visit(ContactCreateResponse response)` calle by a contact create response
`void` | `visit(ContactInfoResponse response)` called by a contact info response
`void` | `visit(ContactUpdateResponse response)` called by a contact update response
`void` | `visit(DomainChangeHolderResponse response)` called by a domain change holder response
`void` | `visit(DomainChangeProvResponse response)` called by a domain change prov response
`void` | `visit(DomainCheckResponse response)` called by a domain check response
`void` | `visit(DomainCreateResponse response)` called by a domain create response
`void` | `visit(DomainDeleteResponse response)` called by a domain delete response
`void` | `visit(DomainInfoResponse response)` called by a domain info response
`void` | `visit(DomainMigrateDescrResponse response)` called by a domain migrate description response
`void` | `visit(DomainTransitResponse response)` called by a domain transit response
`void` | `visit(DomainUpdateResponse response)` called by a domain update response
`void` | `visit(LoginResponse response)` called by a login response
`void` | `visit(LogoutResponse response)` called by a logout response
`void` | `visit(QueueDeleteResponse response)` called by queue delete response
`void` | `visit(QueueReadResponse response)` called by a queue read response
`void` | `visit(Response response)` called by a generic response

Method Detail

### visit

    void visit(Response response)

  called by a generic response

  Parameters:
    `response` - the response

### visit

    void visit(ContactCheckResponse response)

  called by a contact check response

  Parameters:
    `response` - the response

### visit

    void visit(ContactCreateResponse response)

  calle by a contact create response

  Parameters:
    `response` - the response

### visit

    void visit(ContactInfoResponse response)

  called by a contact info response

  Parameters:
    `response` - the response

### visit

    void visit(ContactUpdateResponse response)

  called by a contact update response

  Parameters:
    `response` - the response

### visit

    void visit(DomainChangeHolderResponse response)

  called by a domain change holder response

  Parameters:
    `response` - the response

### visit

    void visit(DomainChangeProvResponse response)

  called by a domain change prov response

  Parameters:
    `response` - the response

### visit

    void visit(DomainCheckResponse response)

  called by a domain check response

  Parameters:
    `response` - the response

### visit

    void visit(DomainCreateResponse response)

  called by a domain create response

  Parameters:
    `response` - the response

### visit

    void visit(DomainDeleteResponse response)

  called by a domain delete response

  Parameters:
    `response` - the response

### visit

    void visit(DomainInfoResponse response)

  called by a domain info response

  Parameters:
    `response` - the response

### visit

    void visit(DomainTransitResponse response)

  called by a domain transit response

  Parameters:
    `response` - the response

### visit

    void visit(DomainUpdateResponse response)

  called by a domain update response

  Parameters:
    `response` - the response

### visit

    void visit(DomainMigrateDescrResponse response)

  called by a domain migrate description response

  Parameters:
    `response` - the response

### visit

    void visit(LoginResponse response)

  called by a login response

  Parameters:
    `response` - the response

### visit

    void visit(LogoutResponse response)

  called by a logout response

  Parameters:
    `response` - the response

### visit

    void visit(QueueDeleteResponse response)

  called by queue delete response

  Parameters:
    `response` - the response

### visit

    void visit(QueueReadResponse response)

  called by a queue read response

  Parameters:
    `response` - the response

### visit

    void visit(AuthInfo1CreateResponse response)

  called by an AuthInfo 1 create response

  Parameters:
    `response` - the response

### visit

    void visit(AuthInfo1DeleteResponse response)

  called by an AuthInfo 1 delete response

  Parameters:
    `response` - the response

### visit

    void visit(AuthInfo2CreateResponse response)

  called by an AuthInfo 2 create response

  Parameters:
    `response` - the response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH